org.apache.creadur.tentacles

## Class IOSystem

- java.lang.Object
- - org.apache.creadur.tentacles.IOSystem

    public class IOSystem
    extends Object

Version:
  $Rev$ $Date$

### Constructor Summary

Constructors
Constructor and Description
`IOSystem()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close(Closeable closeable)`
`void` `copy(byte[] from, File to)`
`void` `copy(InputStream from, File to)`
`InputStream` `read(File source)`
`byte[]` `read(InputStream in)`
`String` `slurp(File file)`
`String` `slurp(URL url)`
`ZipInputStream` `unzip(File file)`
`OutputStream` `write(File destination)`
`void` `writeString(File file, String string)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IOSystem

    public IOSystem()

### Method Detail

#### slurp

    public String slurp(File file)
                 throws IOException

Throws:
  `IOException`

#### slurp

    public String slurp(URL url)
                 throws IOException

Throws:
  `IOException`

#### writeString

    public void writeString(File file,
                            String string)
                     throws IOException

Throws:
  `IOException`

#### copy

    public void copy(InputStream from,
                     File to)
              throws IOException

Throws:
  `IOException`

#### copy

    public void copy(byte[] from,
                     File to)
              throws IOException

Throws:
  `IOException`

#### unzip

    public ZipInputStream unzip(File file)
                         throws IOException

Throws:
  `IOException`

#### close

    public void close(Closeable closeable)
               throws IOException

Throws:
  `IOException`

#### write

    public OutputStream write(File destination)
                       throws FileNotFoundException

Throws:
  `FileNotFoundException`

#### read

    public InputStream read(File source)
                     throws FileNotFoundException

Throws:
  `FileNotFoundException`

#### read

    public byte[] read(InputStream in)
                throws IOException

Throws:
  `IOException`